-- This is the main Lua script file.
-- This file contains the main game loop as well as the main game event handler and state machine update

RunGame = true

function init()
	initGame()
	RunGame = true
end

function run()
	repeat
		input()			-- handles input
		updateGame()		-- simulation
		renderGame()		-- render
		checkMessagePump()	-- Checks the windows message queue.
	until not RunGame
end

function kill()
	RunGame = false
	endGame()
end