-- this file contains settings and constants for use within the game that will be changed often.
-- this file also contains functionality for saving and loading settings from the registry using the registry edit game utility

-- initial game settings
screenwidth 		=				1024
screenheight 		=				768
vsync			=				0
fullscreen		=				0

-- resource paths
MODEL_PATH		=				"../res/mdl/"
TEXTURE_PATH		=				"../res/tex/"
SCRIPTS_PATH		=				"../res/dat/"

-- physics constants
MODELSPEED		=				20
FRICTION		=				20
GRAVITYMAXVEL		=				30

-- bindable actions
ACTION_UP		=				0
ACTION_DOWN		=				1
ACTION_LEFT		=				2
ACTION_RIGHT		=				3
ACTION_JUMP		=				4
ACTION_GAME_QUIT	=				5
ACTION_WEAPON		=				6
ACTION_ATTACK		=				7
ACTIONS_COUNT		=				8
ACTIONS_TOGGLEMUSIC	=				9


function loadSettings()
end

function saveSettings()
end